Subject: XineramaSls core dump

From: Olivier Chapuis <[email-masked]>
Date: Wed, 19 Sep 2001 09:14:54 +0200

Hello,
With 2.4.2 when I type XineramaSls in The Console and, say,
I move a window I get the following core dump:

[olivier@snoopy olivier]$ gdb fvwm2 core
GNU gdb 4.18
Core was generated by `fvwm2'.
Program terminated with signal 11, Erreur de segmentation.
Reading symbols from /usr/X11R6/lib/libXpm.so.4...done.
Reading symbols from /usr/local/lib/libstroke.so.0...done.
Reading symbols from /usr/X11R6/lib/libSM.so.6...done.
Reading symbols from /usr/X11R6/lib/libICE.so.6...done.
Reading symbols from /usr/X11R6/lib/libXext.so.6...done.
Reading symbols from /usr/X11R6/lib/libX11.so.6...done.
Reading symbols from /lib/libm.so.6...done.
Reading symbols from /lib/libc.so.6...done.
Reading symbols from /lib/ld-linux.so.2...done.
#0  0x80950ff in GetMouseXY (eventp=0x0, x=0xbfffef9c, y=0xbfffefa0)
    at FScreen.c:152
152         *x = screens[first_to_check].x_org;
(gdb) where
#0  0x80950ff in GetMouseXY (eventp=0x0, x=0xbfffef9c, y=0xbfffefa0)
    at FScreen.c:152
#1  0x80956ae in FScreenGetScrRect (arg=0xbfffef9c, screen=-2, x=0xbfffefa4, 
    y=0xbfffefa8, w=0x0, h=0x0) at FScreen.c:575
#2  0x807035a in position_geometry_window (eventp=0x0) at move_resize.c:399
#3  0x8070c69 in InteractiveMove (win=0xbffff0d8, tmp_win=0x80ccac8, 
    FinalX=0xbffff054, FinalY=0xbffff058, eventp=0x80a2280, 
    do_start_at_pointer=0) at move_resize.c:747
#4  0x807133b in move_window_doit (eventp=0x80a2280, w=8388667, 
    tmp_win=0x80ccac8, context=2, action=0x80cd77c "", Module=0xbffff1f0, 
    do_animate=0, mode=0) at move_resize.c:1018
#5  0x807168a in CMD_Move (eventp=0x80a2280, w=8388678, tmp_win=0x80ccac8, 
    context=2, action=0x80cd77c "", Module=0xbffff1f0) at move_resize.c:1095
#6  0x807607a in execute_function (efa=0xbffff1dc) at functions.c:1110
#7  0x80761db in old_execute_function (action=0x80cb2d8 "$0", 
    tmp_win=0x80ccac8, eventp=0x80a2280, context=2, Module=-1, exec_flags=0, 
    args=0xbffff2c0) at functions.c:1179
#8  0x8076d8f in execute_complex_function (eventp=0x80a2280, w=8388667, 
    tmp_win=0x80ccac8, context=2, action=0x80cd640 "FuncFvwmRaiseLowerX Move", 
    Module=0xbffff3c0, desperate=0xbffff348) at functions.c:1807
#9  0x80760cb in execute_function (efa=0xbffff3ac) at functions.c:1127
#10 0x80761db in old_execute_function (
    action=0x80cb1e0 "FuncFvwmRaiseLowerX Move", tmp_win=0x80ccac8, 
    eventp=0x80a2280, context=2, Module=-1, exec_flags=0, args=0x0)
    at functions.c:1179
#11 0x8069eb2 in HandleButtonPress () at events.c:1747
#12 0x806b2be in DispatchEvent (preserve_Tmp_win=0) at events.c:2869
#13 0x806b358 in HandleEvents () at events.c:2922
#14 0x808a38d in main (argc=1, argv=0xbffff8e4) at fvwm.c:720
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]